export const schema = gql`
  type Kauf {
    id: Int!
    timestamp: DateTime!
    preis_ges: Float
    artikel: [KaufArtikel]!
  }

  type Query {
    kaufs: [Kauf!]! @requireAuth
    kauf(id: Int!): Kauf @requireAuth
  }

  input CreateKaufInput {
    timestamp: DateTime!
    preis_ges: Float
  }

  input UpdateKaufInput {
    timestamp: DateTime
    preis_ges: Float
  }

  type Mutation {
    createKauf(input: CreateKaufInput!): Kauf! @requireAuth
    updateKauf(id: Int!, input: UpdateKaufInput!): Kauf! @requireAuth
    deleteKauf(id: Int!): Kauf! @requireAuth
  }
`
